Subject: Re: bug#37153: 26.1; some png images scrambled

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 26 Aug 2019 08:06:05 +0900

On Mon, 26 Aug 2019 08:02:23 +0900,
YAMAMOTO Mitsuharu wrote:
> 
> On Mon, 26 Aug 2019 03:38:07 +0900,
> Paul Eggert wrote:
> > 
> > YAMAMOTO Mitsuharu wrote:
> > 
> > > It seems to be necessary to look into the tRNS chunk data for paletted
> > > images.  Again, W32 would need some more work.
> > 
> > Thanks, I confirmed that this fixes the misdisplay for me as well. I
> > attempted to port it to w32 (as well as to unusual libpng builds that
> > do not define PNG_tRNS_SUPPORTED) and installed the attached into
> > master.
> > 
> > With this patch on Ubuntu 18.04.3 I always see the first image shown
> > in your tRNS.pg screenshot <https://bugs.gnu.org/37153#56>. So it may
> > be that more work needs to be done to support other faces. Still, this
> > patch is an improvement so it's worth going in.
> 
> At least, your patch misses the case of non-paletted transparent PNGs
> (tb???c?? in http://www.schaik.com/pngsuite2011/pngsuite_trn_png.html).
 
And you would need to turn off font-lock-mode (or start Emacs with -D)
to replicate my tRNS.png screenshot.

				     YAMAMOTO Mitsuharu
				[email-masked]